﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using VeryPDF;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            string appPath = Path.GetDirectoryName(Application.ExecutablePath);
            {
                string strInFile = appPath + "\\test_table_ocr.tif";
                string strOutFile = appPath + "\\_test_out.pdf";
                string strCmd = "-ocrmode 3 -$ XXXX-XXXX-XXXX-XXXX";
                strCmd += " \"" + strInFile + "\" \"" + strOutFile + "\"";

                System.Type VeryPDFType = System.Type.GetTypeFromProgID("VeryPDF.ocr2anyCom");
                VeryPDF.ocr2anyCom VeryPDFCom = (VeryPDF.ocr2anyCom)System.Activator.CreateInstance(VeryPDFType);
                string strReturn = VeryPDFCom.ocr2any(strCmd);
                MessageBox.Show(strReturn);
            }

            {
                string strInFile = appPath + "\\test_table_ocr.tif";
                string strOutFile = appPath + "\\_test_out.rtf";
                string strCmd = "-ocr2 -$ XXXX-XXXX-XXXX-XXXX";
                strCmd += " \"" + strInFile + "\" \"" + strOutFile + "\"";

                System.Type VeryPDFType = System.Type.GetTypeFromProgID("VeryPDF.ocr2anyCom");
                VeryPDF.ocr2anyCom VeryPDFCom = (VeryPDF.ocr2anyCom)System.Activator.CreateInstance(VeryPDFType);
                string strReturn = VeryPDFCom.ocr2any(strCmd);
                MessageBox.Show(strReturn);
            }
        }
    }
}
